## swi-prolog 5.8.2

=== packages/xpce/src/ker/Makefile ===
# KER 		--- Kernel modules

KER1OBJS=	alloc.o assoc.o behaviour.o class.o conversion.o \
		csymbol.o debug.o declarations.o error.o gc.o \
		getmethod.o glob.o global.o goodies.o passing.o \
		method.o name.o object.o programobject.o save.o \
		self.o sendmethod.o sourcelocation.o timer.o \
		trace.o type.o variable.o vmi.o xref.o error.o \
		classstub.o
KER2OBJS=	inline.o
KEROBJS=	$(KER1OBJS) $(KER2OBJS)
KER1SRC=	$(KER1OBJS:.o=.c)

objects:	$(KEROBJS)

addlib:		$(KEROBJS)
		$(AR) $(ARFLAGS) $(LIB) $(KEROBJS)
		@touch addlib

proto.h:	$(KER1SRC)
		$(MKPROTO) $(KER1SRC:.o=.c) | $(CLPROTO) > proto.h

version.h:	../../Makefile
		@echo "#define MACHINE \"$(ARCH)\"" > %$@%
		@echo "#define PCE_VERSION \"$(VERSION)\"" >> %$@%
		@echo "#define OS \"$(OS)\"" >> %$@%
		@if cmp -s %$@% $@; then rm %$@%; else mv %$@% $@; fi

self.o:		version.h

name.o:		../h/names.ih

glob.o:		../h/kernel.h ../h/types.h ../h/graphics.h ../h/lang.h

clean:
		$(RM) -f *~ a.out core $(KEROBJS) addlib

=== packages/xpce/man/releasenotes/xpce5/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

PCEHOME=../../..
PDF=relnotes-5.pdf
PS=relnotes-5.ps
DOCTOTEX=$(PCEHOME)/bin/doc2tex
PLTOTEX=$(PCEHOME)/bin/pl2tex
DOC=doc
DVI=$(DOC).dvi
LOG=$(DOC).log

TEX=	$(DOC).tex body.tex tree.tex showdir.tex 

all:	pdf
pdf:	$(PDF)
ps:	$(PS)

$(DVI):	$(TEX)
	env TEXINPUTS=$(PCEHOME)/TeX:: runtex $(DOC)

html:	$(TEX)
	latex2html $(DOC)

$(PS):	$(DVI)
	dvips -o $@ $(DVI)

$(PDF):	$(TEX)
	env TEXINPUTS=$(PCEHOME)/TeX:: runtex --pdf $(DOC)
	mv $(DOC).pdf $@

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex
.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) \
		*.dvi *.toc *.aux *.idx *.ind *.blg *.log *.ilg \
		*~ figs/*~

=== debian/changelog ===
swi-prolog (5.8.2-2) unstable; urgency=low

  * Drop duplicate libjpeg62-dev, libxpm-dev and libxt-dev Build-Depends.
  * Replace libjpeg62-dev Build-Dependency with libjpeg-dev.
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz>. (Closes: #571078)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2010 22:08:03 +0000

swi-prolog (5.8.2-1) unstable; urgency=low

  * New upstream release.
  * Re-arrange binary packages at upstream's request:
    - Rename -xpce to -x
    - Rename -jpl to -java
    - Rename "swi-prolog" to -nox and merge -clib, -http, -semweb, -sgml
      and -table into it
    - The "swi-prolog-odbc" package remains unchanged
    - A new "swi-prolog" package depends on both "swi-prolog-nox" and
      "swi-prolog-x"

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jan 2010 00:39:12 +0000

swi-prolog (5.8.0-1) unstable; urgency=low

  * New upstream release.
    - Local copy of strndup renamed to my_strndup. (Closes: #552847)
  * Replace libreadline5-dev dependencies with libreadline-dev.
  * Fix bad jpl.jar symlink in "main" swi-prolog package by using
    debian/swi-prolog-jpl.links instead of specifying it in debian/rules
    to ensure it ends up in the right package. (Closes: #549628)

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Oct 2009 19:17:06 +0000

swi-prolog (5.6.64-3) unstable; urgency=low

  * Include CHR library in swi-prolog package. (Closes: #541183)
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Aug 2009 03:55:20 +0100

swi-prolog (5.6.64-2) unstable; urgency=low

  * Add Build-Depends on libxft-dev, libxext-dev, libice-dev, libjpeg62-dev,
    libxinerama-dev, libxpm-dev and libxt-dev for anti-aliased fonts in XPCE.
    (Closes: #527233)
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2009 13:43:43 +0100

swi-prolog (5.6.64-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.
  * Drop 05_fix_java_lib_paths patch - applied upstream.
  * Refer to `/usr/share/common-licenses/GPL-2' in debian/copyright instead of
    just `GPL'.
  * Update Git repository URLs.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Feb 2009 02:17:41 +0000

swi-prolog (5.6.63-3) unstable; urgency=low

  * Add call to autoconf to ensure the changes in 05_fix_java_lib_paths.dpatch
    are actually applied to the JPL source. Thanks again to Peter Green
    <plugwash@p10link.net>. (Closes: #510409)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Jan 2009 01:26:48 +0000

swi-prolog (5.6.63-2) unstable; urgency=low

  * Fix FTBFS on architectures other than i386 and amd64 (Closes: #510409)
    - Add 05_fix_java_lib_paths.dpatch to fix Java include directory for
      architectures that have OpenJDK but the Autoconf fragment is new enough
      to cater for it.
    - Don't Build-Depend on openjdk-6-jre on arm and hppa.
    - Expand "Architecture: any" and remove arm and hppa.
    - Move from calling ``dh_* -a'' to ``dh_* -s'' where appropriate.
    - Conditionally call various debhelper commands that reference
      swi-prolog-jpl where that architecture does not apply.

    Many thanks to Peter Green <plugwash@p10link.net> who provided both
    analysis and patches for this issue.
  * Fix FTBFS twice in a row.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2009 22:57:07 +0000

swi-prolog (5.6.63-1) unstable; urgency=low

  * New upstream release.
  * Build the JPL (bidirectional Java interface) library in the swi-prolog-jpl
    binary package now that OpenJDK is in main. (Closes: #449437)
    - Remove 01_not_jpl_package.dpatch
    - Add Build-Depends on openjdk-6-jdk
    - Add convenience symlink from /usr/share/java/jpl.jar
  * Don't play Hanoi in clean target anymore with some (required) files that
    upstream was cleaning - change merged upstream.
  * New maintainer email address.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2008 22:07:04 +0000

swi-prolog (5.6.59-1) unstable; urgency=low

  * New upstream release - "mostly a bugfix release, fixing GC and HTTP issues
    from 5.6.56":
    - Garbage collection fixes:
      + Avoid crash on recursive GC signalling
      + Add support for A_MPZ in life-gc walker (crasher)
      + Call signal handlers at a safe place whilst backtracking.
      + Fix possible crash of profiler on GC.
      + Misc. GC fixes
    - HTTP fixes:
      + http_read_request/3 throws error on illegal request and 
        http_wrapper/5.
      + http_open/3 now raises an error if the URL is not well-formed
        instead of failing silently.
    - Other fixes:
      + Fix possible crash in copy_term/2 etc. on 32-bit systems.
      + Avoid import messages from module user in saved states.
    - New features:
      + library(terms) for enhanced compatibility to YAP/Quintus/SICStus.
      + Use PceEmacs as default editor if XPCE is available.
      + zcompare/3, analogous to compare/3 for FD variables.
      + constraint element/3, analogous to nth/1.
  * Build CHR on arm and armel again after GC fixes (disabled in 5.6.58-2).

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 07 Aug 2008 13:58:33 +0100

swi-prolog (5.6.58-2) unstable; urgency=low

  * Fix regression when moving from dh_movefiles to dh_install. dh_install
    only copies the specifies files whilst dh_movefiles moves them - this was
    resulting in the contents of the binary "swi-prolog" package being
    duplicated inside "swi-prolog-xpce", causing file conflicts at
    installation. (Closes: #492364)
  * Don't build the CHR package on arm and armel to prevent FTBFS on these
    archictures.
  * Add 04_fix_hyphens_being_used_as_minus_signs_in_manpages.dpatch to fix
    hyphen issues in manpages.
  * Build-Depend on debhelper (>= 5) instead of (>= 5.0.0).
  * Add "no-symbols-control-file" override to the shared-library related
    lintian overrides.


=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp3-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-swi-prolog.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
Suggests: swi-prolog-doc, prolog-el
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev
Replaces: swi-prolog-clib, swi-prolog-http, swi-prolog-semweb, swi-prolog-sgml, swi-prolog-table
Conflicts: swi-prolog (<< 5.8.2-1)
Suggests: swi-prolog-doc, prolog-el
Description: ISO/Edinburgh-style Prolog interpreter (without X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation with GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Replaces: swi-prolog-xpce
Description: User interface library for SWI-Prolog (with X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, openjdk-6-jre-headless | java2-runtime
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java 2 runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.

=== debian/rules ===
#!/usr/bin/make -f

export PLARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CONFFLAGS += --with-world

export CFLAGS=-fPIC

# Don't optimise or build GPL on arm (old ABI)
ifeq ($(PLARCH),arm)
    export COFLAGS=-O0
    CONFFLAGS += --without-jpl
endif

# Don't build JPL on hppa
ifeq ($(PLARCH),hppa)
    CONFFLAGS += --without-jpl
endif

# Don't build JPL on GNU/kFreeBSD
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
    CONFFLAGS += --without-jpl
endif

build: build-stamp
build-stamp:
	dh_testdir

	for DIR in src/ packages/xpce/src/ packages/xpce/ packages/jpl; do \
		cp -f /usr/share/misc/config.sub $$DIR/config.sub; \
		cp -f /usr/share/misc/config.guess $$DIR/config.guess; \
	done

	# Ensure changes in 05_fix_java_lib_paths.dpatch are reflected in configure.
	cd packages/jpl && autoconf -v

	# Build shared object first
	./configure $(CONFFLAGS) --enable-shared \
		--prefix=/usr '--mandir=$${prefix}/share/man'
	$(MAKE)
	$(MAKE) prefix=$(CURDIR)/debian/swi-prolog-shared/usr install-lite
	$(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) clean
	$(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) distclean

	./configure $(CONFFLAGS)  \
		--prefix=/usr '--mandir=$${prefix}/share/man' PL="swipl"

	$(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) 

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Upstream's clean targets are not clean enough
	rm -f packages/xpce/man/reference/index.obj
	rm -f packages/xpce/lib/amd64
	rm -f packages/xpce/src/find_names
	rm -f .pkg-config
	rm -f src/defatom
	rm -f src/mkvmi
	rm -f packages/xpce/src/find_names

	[ ! -f Makefile ] || $(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) clean
	[ ! -f Makefile ] || $(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) distclean
	[ ! -f packages/jpl/Makefile ] || $(MAKE) -C packages/jpl distclean
	find packages/jpl/examples/java -name '*.class' -delete
	find packages/jpl/src/java -name '*.class' -delete

	rm -rf debian/swi-prolog-shared

	dh_clean

install:
install: build
	dh_testdir -s
	dh_testroot -s
	dh_clean -k

	# XPCE below needs a working SWI-Prolog to be installed; this is done
	# in a temporary installation directory. We generate a list of files
	# so we can seperate them later.

	$(MAKE) prefix=$(CURDIR)/debian/swi-prolog-tmp/usr \
		PLBASE=$(CURDIR)/debian/swi-prolog-tmp/usr/lib/swi-prolog \
		ARCH=$(PLARCH) install-lite

	cd debian/swi-prolog-tmp && find * -type f > ../swi-prolog-nox.install
	cd debian/swi-prolog-tmp && find * -type l >> ../swi-prolog-nox.install

	for i in "clib     swi-prolog-nox"   \
		 "jpl      swi-prolog-java"    \
		 "http     swi-prolog-nox"   \
		 "semweb   swi-prolog-nox" \
		 "sgml     swi-prolog-nox"   \
		 "sgml/RDF swi-prolog-nox"   \
		 "table    swi-prolog-nox"  \
		 "odbc     swi-prolog-odbc"   \
		 "xpce     swi-prolog-tmp"    \
		 "chr      swi-prolog-nox"    \
		               ; do \
		FROM=$$(echo $$i | cut -d " " -f1); \
		TO=$$(echo $$i | cut -d " " -f2); \
		mkdir -p $(CURDIR)/debian/$$TO/usr/lib/swi-prolog/library; \
		$(MAKE) -C packages/$$FROM \
			prefix=$(CURDIR)/debian/$$TO/usr \
			PLBASE=$(CURDIR)/debian/$$TO/usr/lib/swi-prolog \
			PLARCH=$(PLARCH) \
			PL=$(CURDIR)/src/swipl PLEXE=$(CURDIR)/src/swipl \
			install; \
	done

	# Seperate XPCE and basic SWI-Prolog
	dh_install -p swi-prolog-nox --sourcedir=debian/swi-prolog-tmp

	# Remove the basic SWI-Prolog installation from the XPCE install dir
	xargs --arg-file=debian/swi-prolog-nox.install --delimiter='\n' -I{} \
		rm -v debian/swi-prolog-tmp/{}

	# Install standalone shared library
	cp -r debian/swi-prolog-shared/usr/lib/pl-*/lib/*/libpl.so* \
		debian/swi-prolog-nox/usr/lib/

	# Remove dbuild .pwd file (see #285894)
	rm debian/swi-prolog-tmp/usr/lib/swi-prolog/xpce/prolog/lib/.pwd
	
	# Empty directories remain, but XPCE depends on SWI-Prolog
	mv debian/swi-prolog-tmp debian/swi-prolog-x

	# These two links are absolute, but we want them relative
	cd debian/swi-prolog-x/usr/bin && \
		rm xpce; ln -s ../lib/swi-prolog/bin/*/xpce .; \
		rm xpce-client; ln -s ../lib/swi-prolog/xpce-*/bin/*/xpce-client .
	
	# Remove superfluous copies of the GPL
	rm -f debian/swi-prolog-x/usr/lib/swi-prolog/xpce-*/COPYING

	# Override lintian warnings
	for PKG in swi-prolog-nox swi-prolog-x; do \
		mkdir -p debian/$$PKG/usr/share/lintian/overrides; \
		cp debian/$$PKG.lintian.override debian/$$PKG/usr/share/lintian/overrides/$$PKG; \
	done

	# Remove empty directories
	find debian/ -depth -type d -empty -exec rm -rfv {} \;

	# Remove RPATH from pl2xpce.so and libpl.so
	chrpath --delete debian/swi-prolog-x/usr/lib/swi-prolog/xpce-*/lib/*/pl2xpce.so || true
	chrpath --delete debian/swi-prolog-nox/usr/lib/libpl.so || true

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installchangelogs -pswi-prolog-x packages/xpce/ChangeLog
	dh_installchangelogs -pswi-prolog-odbc packages/odbc/ChangeLog
ifneq ($(PLARCH),arm)
ifneq ($(PLARCH),hpppa)
	dh_installchangelogs -pswi-prolog-java packages/jpl/ChangeLog
endif
endif
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install patch unpatch

## swi-prolog 5.10.1

=== debian/changelog ===
swi-prolog (5.10.1-1ubuntu1) natty; urgency=low

  * debian/patches/ftbfs_conflicting_types.patch: (LP: #755947)
    - patch from upstream git to fix FTBFS

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 13 Apr 2011 16:04:52 +0200

swi-prolog (5.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_chrpath_not_fatal.diff patch; applied upstream.
  * Bump Standards-Version to 3.9.1.
  * Prefer Breaks: over versioned Conflicts:.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Aug 2010 06:01:30 +0100

swi-prolog (5.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #587994)
  * Update package index after installing -nox which was resulting in
    incomplete installations after upgrading from lenny. (Closes: #585870)
  * Remove unneeded manpage section patch.
  * Update patches for latest swi-prolog version.
  * Remove reference to xpce.1 manpage (removed upstream).
  * libpl.so => libswipl.so.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Jul 2010 16:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp3-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-swi-prolog.git
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-swi-prolog.git
 Homepage: http://www.swi-prolog.org
@@ -31,7 +32,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev
 Replaces: swi-prolog-clib, swi-prolog-http, swi-prolog-semweb, swi-prolog-sgml, swi-prolog-table
-Conflicts: swi-prolog (<< 5.8.2-1)
+Breaks: swi-prolog (<< 5.8.2-1)
 Suggests: swi-prolog-doc, prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a

## swi-prolog 5.10.2

=== debian/changelog ===
swi-prolog (5.10.2-1) unstable; urgency=low

  * New upstream version.
  * Update Vcs-{Git,Browser}.
  * Change libgmp3-dev dependency to libgmp-dev.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Mar 2011 06:29:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp3-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
 Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-swi-prolog.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-swi-prolog.git
+Vcs-Git: git://github.com/lamby/pkg-swi-prolog.git
+Vcs-Browser: https://github.com/lamby/pkg-swi-prolog
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog

## swi-prolog 5.10.4

=== packages/protobufs/demo/Makefile ===
.SUFFIXES: .proto .cpp .cc .o

.DEFAULT: foo

CC=gcc
CPLUSPLUSC=g++
PROTOC=protoc
RM=rm
SWIPL=swipl

CFLAGS=-Wall -O3
LDFLAGS=-lprotobuf

.cpp.o:
	$(CPLUSPLUSC) -c $(CFLAGS) $*.cpp

.cc.o:
	$(CPLUSPLUSC) -c $(CFLAGS) $*.cc

.c.o:
	$(CC) -c $(CFLAGS) $*.c

pb-vector.pb.o: pb-vector.proto
	$(PROTOC) --cpp_out=. $?
	$(CPLUSPLUSC) -c $(CFLAGS) $*.cc

OBJS=pb-vector.pb.o foo.o

foo: $(OBJS)
	$(CPLUSPLUSC) -o $@ $(OBJS) $(LDFLAGS)

tmp99.tmp: vector_demo.pl
	$(SWIPL) -s vector_demo.pl -g make_tmp99 --

check: foo tmp99.tmp
	foo <tmp99.tmp

clean:
	$(RM) foo $(OBJS) *.pb.cc *.pb.h *.tmp

=== packages/xpce/man/userguide/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl .eps .pdf

PCETEX=../../TeX
DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s $(PCETEX)/makeindex.ist
DOC=xpceusg
DVI=$(DOC).dvi
LOG=$(DOC).log
PS=$(DOC).ps
PDF=$(DOC).pdf
RERUN="Rerun to get cross-references right"
CLHIER=figs/pceclasshierarchy.eps

COMMON=	intro.tex starting.tex globalarch.tex online.tex debug.tex \
	interface.tex graphics.tex pceprolog.tex trouble.tex memory.tex \
	glossary.tex techniques.tex report.tex font.tex hyper.tex \
	udc.tex dragdrop.tex dragdropdemo.tex control.tex whoiswho.tex \
	namedref.tex ugraphics.tex code.tex classvar.tex diaedit.tex \
	dialog.tex wysiwyg.tex frame.tex error.tex application.tex \
	resource.tex images.tex summary.tex body.tex \
	mswin.tex balloon.tex printing.tex \
	libs.tex findfile.tex toc.tex tabular.tex libdia.tex mlingual.tex \
	httpd.tex httpd-ex.tex docrender.tex libplot.tex

XPCETEX=	xpceusg.tex $(COMMON)
PWTEX=		pwusg.tex pwinfo.tex $(COMMON)

LOGO=	figs/uva.eps figs/swi.eps

all:	$(PDF)
pdf:	$(PDF)
dvi:	$(DVI)
ps:	$(PS)

epsimages=	$(shell find . -name '*.eps')
pdfimages=	$(epsimages:.eps=.pdf)

pdfimg:	$(pdfimages)

$(DVI):	$(XPCETEX) $(LOGO) $(CLHIER)
	@TEXINPUTS=.:$(PCETEX):$$TEXINPUTS; \
	echo "**********************************************************"; \
	echo "* Running latex $(DOC)"; \
	echo "**********************************************************"; \
	export TEXINPUTS; \
	rm -f $(LOG); \
	while test ! -e $(DVI) -o ! -e $(LOG) || grep -q $(RERUN) $(LOG); do \
	  $(CORRECTINDEX) $(DOC).idx; \
	  $(MAKEINDEX) $(DOC).idx; \
	  touch $(DOC).ind; \
	  latex $(DOC) || exit 1; \
	done

$(PDF):	$(XPCETEX) $(LOGO) $(CLHIER)
	$(MAKE) pdfimg
	@TEXINPUTS=.:$(PCETEX):$$TEXINPUTS; \
	echo "**********************************************************"; \
	echo "* Running pdflatex $(DOC)"; \
	echo "**********************************************************"; \
	export TEXINPUTS; \
	rm -f $(LOG); \
	while test ! -e $(LOG) || grep -q $(RERUN) $(LOG); do \
	  $(CORRECTINDEX) $(DOC).idx; \
	  $(MAKEINDEX) $(DOC).idx; \
	  touch $(DOC).ind; \
	  pdflatex $(DOC) || exit 1; \
	done

$(PS):	$(DVI)
	dvips -o $@ $(DVI)

#$(PDF):	$(PS)
#	pstill -cgipt -o $@ $(PS)

html:	$(XPCETEX) $(CLHIER)
	latex2html xpceusg

pwhtml:	$(PWTEX)
	latex2html pwusg

pwtex:	$(PWTEX)
tex:	$(XPCETEX)

bib:	xpceusg.aux
	(TEXINPUTS=$(PCETEX):$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex xpceusg)

figs/uva.eps:	$(PCETEX)/figs/uva.eps
	cp $< $@
figs/swi.eps:	$(PCETEX)/figs/swi.eps
	cp $< $@
figs/class:
	mkdir -p $@

$(CLHIER):
	xpce -f none -g "[mkclasshier],mkhierarchy('$@'),halt" -t 'halt(1)'

$(TEX):	$(DOCTOTEX)

dragdropdemo.tex:	examples/dragdrop.pl
	$(PLTOTEX) examples/dragdrop.pl > $@
wysiwyg.tex:		examples/wysiwyg.pl
	$(PLTOTEX) examples/wysiwyg.pl > $@
summary.tex:		figs/class summary.doc classes.pl
	xpce -f classes.pl -g "process('summary.doc','summary.tmp')" -t halt
	$(DOCTOTEX) summary.tmp > summary.tex
	rm -f summary.tmp

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

.eps.pdf:
	epstopdf $*.eps

clean::
	rm -f $(XPCETEX) $(PWTEX) \
		*.out *.dvi *.toc *.aux *.idx *.ind *.blg *.log *.ilg \
		*~ figs/*~ \
		$(LOGO) summary.tmp

distclean:	clean
	rm -rf figs/class

=== packages/xpce/pl/src/Makefile ===
#   Makefile for SWI-Prolog <-> PCE interface
#
################################################################
# NOTE NOTE NOTE
#
# This Makefile is normally started from the Makefile in the build-directory.
# The following parameters are passed into it:
#
# $(PL)		SWI-Prolog executable
# $(PLBASE)	SWI-Prolog's home directory
# $(PLARCH)	SWI-Prolog's architecture identifier
# $(PLINCL)     SWI-Prolog's include files
# $(builddir)	Path from XPCE home to build directory
# $(C?FLAGS)	The various C-compiler flags
# $(SOEXTRAOBJ)	Possibly non-standard .o files for creating pl2xpce.so
# $(GCCLIB)	The path to -lgcc
# $(SO)		Extension for shared libraries
################################################################

.SUFFIXES: .qlf .pl

libXPCE=	../../$(builddir)/libXPCE.a
LIBDIR=		../../$(builddir)
BINDIR=		../../$(builddir)
OBJDIR=		../../$(builddir)/pl
CONFIG=		../../$(builddir)/config.h

CPLIFLAGS=	-I$(PLINCL) -I../../$(builddir) -I../../src
PL=     	pl
PLLD=		plld -pl $(PL)
ITFOBJ= 	$(addprefix $(OBJDIR)/, interface.o link.o pcecall.o)
ITFSRC=		interface.c table.c
SOITF=		$(addprefix $(OBJDIR)/, so-interface.o pcecall.o)
OBJ=		$(ITFOBJ)
XPCE=		$(BINDIR)/xpce
QLF=    	$(BINDIR)/xpce.qlf
#XLIBS=		-lXt -lX11
XPCESO= 	$(LIBDIR)/pl2xpce.$(SO)
SOEXTR=		$(addprefix $(OBJDIR)/, $(SOEXTRAOBJ))
CITFFLAGS=	-DSWI -DHAVE_CONFIG_H

CFLAGS= 	$(COFLAGS) $(CWFLAGS) $(CMFLAGS) $(CPLIFLAGS) $(CITFFLAGS)

PCEPLS=		pce_expand.pl ../lib/english/pce_messages.pl pce_pl.pl \
		pce_principal.pl pce_error.pl pce_autoload.pl pce_global.pl \
		pce_expansion.pl pce_realise.pl pce_editor.pl \
		pce_goal_expansion.pl
BOOTQLF=	pce.qlf
LIBQLFS=	pce_manual.qlf dialog/dialog.qlf emacs/emacs.qlf pcedraw.qlf

################################################################
# The main targets
################################################################

nosoall:	$(XPCE)

soall:		$(PLBASE)/xpce/lib/$(PLARCH) $(XPCESO)

common:		$(PLBASE)/pl.rc $(PLBASE)/xpce.rc $(PLBASE)/xpce \
		$(PLBASE)/Makefile \
		$(PLBASE)/xpce/prolog/lib/INDEX.pl

rt-soall:	$(XPCESO)
rt-nosoall:	$(XPCE)

################################################################
# Objects for $(OBJDIR)
################################################################

$(OBJDIR)/interface.o:	$(ITFSRC)
		$(CC) -c $(CFLAGS) $< -o $@
$(OBJDIR)/link.o:	link.c
		$(CC) -c $(CFLAGS) $< -o $@
$(OBJDIR)/pcecall.o:	pcecall.c
		$(CC) -c $(CFLAGS) $(XINCLUDES) $< -o $@

################################################################
# Creating statically linked xpce and its xpce.qlf bootfile
################################################################

$(XPCE):	$(ITFOBJ) $(libXPCE)
		$(PLLD) $(LDFLAGS) $(COFLAGS) -o $@ $(ITFOBJ) -L$(LIBDIR) -lXPCE $(LIBS)
		echo $(PLBASE) > ../../swipl

$(QLF):		$(XPCE)
		$(XPCE) -O -o $(QLF) \
			-g pce_welcome \
			-b $(PLBASE)/boot/init.pl \
			-c load.pl

################################################################$
# Creating pl2xpce.so
################################################################

$(OBJDIR)/so-interface.o: interface.c
		$(CC) -DO_SHAREDLIBRARY $(CFLAGS) -c $< -o $@

$(OBJDIR)/Initialize.o:
		ar x $(XLIB)/libXt.a $@

$(XPCESO):	$(SOITF) $(libXPCE) $(SOEXTR)
		@if [ -r $(LIBDIR)/libXPCE.$(SO) ]; then \
		    $(MAKE) sopce$(XPCESO); \
		else \
		    $(MAKE) axpce$(XPCESO); \
		fi

sopce$(XPCESO):
		if [ "x$$LD_RUN_PATH" = "x" ]; then \
		    LD_RUN_PATH="$(libdir)"; \
		else \
		    LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
		fi; \
		export LD_RUN_PATH; \
		$(PLLD) -shared $(SOITF) $(LDFLAGS) -L$(XLIB) -L$(LIBDIR) -lXPCE -o $(XPCESO);
axpce$(XPCESO):
		if [ "x$$LD_RUN_PATH" = "x" ]; then \
		    LD_RUN_PATH="$(libdir)"; \
		else \
		    LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
		fi; \
		export LD_RUN_PATH; \
		$(PLLD) -shared $(LDFLAGS) $(SOITF) $(SOEXTR) -L$(LIBDIR) \
		-lXPCE $(GCCLIB) -L$(XLIB) $(XLIBS) $(NETLIBS) -o $(XPCESO);

################################################################$
# QLF generation
################################################################

libqlfs:	$(addprefix ../../prolog/lib/, $(LIBQLFS))
bootqlf:	$(addprefix ../../prolog/lib/, $(BOOTQLF))

../../prolog/lib/pce.qlf: $(addprefix ../../prolog/boot/, $(PCEPLS))
		$(PL) -g "qcompile('../../prolog/lib/pce.pl')" -t halt

.pl.qlf:
		$(PL) -g "pce_welcome,qcompile('$*')" -t halt

################################################################
# Link xpce to the SWI-Prolog library directory
################################################################

$(PLBASE)/pl.rc:	plrc
	cp plrc $@

$(PLBASE)/xpce.rc:	plrc
	cp plrc $@

$(PLBASE)/xpce:
	(cd $(PLBASE); rm -f xpce; ln -s $(PCEHOME) xpce)

$(PLBASE)/xpce/lib/$(PLARCH):
	(cd ../../lib; rm -f $(PLARCH); ln -s ../$(builddir) $(PLARCH))

$(PLBASE)/Makefile: Makefile.bin
	-cp Makefile.bin $@

$(PLBASE)/xpce/prolog/lib/INDEX.pl:
	$(PL) -g "make_library_index('$(PLBASE)/xpce/prolog/lib')" -t halt

################################################################
# C++ Name mangling.  Not used right now
################################################################

mangle:		mangle.c
		$(CC) -O -o mangle mangle.c

domangle:	mangle mlist xpce.base
		./mangle mlist xpce.base
		touch domangle

################################################################
# Cleanup
################################################################

clean:
		$(RM) -f *.o core a.out shitf.c *~

distclean:	clean
		$(RM) -f xpce *.qlf mangle domangle ctr0.o *.so

=== packages/xpce/src/msg/Makefile ===
# MSG 		--- Executable (message) Objects

MSGOBJS=	and.o assign.o binding.o block.o code.o create.o \
		equal.o function.o if.o message.o nonequal.o \
		not.o obtain.o or.o progn.o quote.o var.o when.o while.o \
		nameref.o
MSGSRC=		$(MSGOBJS:.o=.c)

objects:	$(MSGOBJS)

addlib:		$(MSGOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(MSGOBJS)
		@touch addlib

proto.h:	$(MSGSRC)
		$(MKPROTO) $(MSGSRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(MSGOBJS) addlib

=== debian/changelog ===
swi-prolog (5.10.4-5) unstable; urgency=medium

  * New patches (taken from RedHat bugzilla, closes: #697416):
    - CVE-2012-6089.diff - fix for CVE-2012-6089 - possible buffer overrun in
      path canonisation code
    - CVE-2012-6090.diff - fix for CVE-2012-6090 - Possible buffer overflows
      when expanding file-names with long paths 
  * Urgency "medium" because of a fix for a security bug

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 05 Jan 2013 03:43:46 +0100

swi-prolog (5.10.4-4) unstable; urgency=medium

  * Build-conflict with libncursesw5-dev, so it will not be used during build
    instead of lincurses5-dev. This should make dependencies of swi-prolog-nox
    consistent across architectures (closes: #689583)
  * debian/gbp.conf - change debian-branch to wheezy-updates
  * Urgency medium because of fix for an RC bug

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 08 Oct 2012 21:54:54 +0200

swi-prolog (5.10.4-3) unstable; urgency=low

  [ Chris Lamb ]
  * Install sgml package into swi-prolog-nox. Thanks to Sami Kiviharju
    <sami.kiviharju@gmail.com>. (Closes: #642214)

  [ Євгеній Мещеряков ]
  * Adopt the package with maintainer's agreement
  * Make swi-prolog-nox depend on libncurses5-dev (closes: #644974)
  * Remove special rules for no longer supported arm and hppa architectures
    from debian/rules
  * Do not try to install jpl package if it was not built (closes: 644593)
  * Add debian/gbp.conf
  * Add pointers to collab-maint repository
  * Compress binary packages using xz

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Dec 2011 23:44:28 +0100

swi-prolog (5.10.4-2) unstable; urgency=low

  * Add missing RDF library. Thanks to "A. N. Other"
    <a.n.other.debian@gmail.com>. (Closes: #639103)
  * Prevent similar issues with library paths with set -e.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Aug 2011 22:27:46 +0100

swi-prolog (5.10.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mipsel (Closes: #634257)
  * New patch:
    - swi-prolog-mipsel-FTBFS.diff
  * Urgency medium because previous version was for too long in
    unstable on all other architectures

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 20 Jul 2011 20:02:11 +0200

swi-prolog (5.10.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2011 14:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
-Standards-Version: 3.9.1
-Vcs-Git: git://github.com/lamby/pkg-swi-prolog.git
-Vcs-Browser: https://github.com/lamby/pkg-swi-prolog
+Build-Conflicts: libncursesw5-dev
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
@@ -29,7 +30,7 @@
 
 Package: swi-prolog-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev, libncurses5-dev
 Replaces: swi-prolog-clib, swi-prolog-http, swi-prolog-semweb, swi-prolog-sgml, swi-prolog-table
 Breaks: swi-prolog (<< 5.8.2-1)
 Suggests: swi-prolog-doc, prolog-el

=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,11 @@
 
 export CFLAGS=-fPIC
 
-# Don't optimise or build GPL on arm (old ABI)
-ifeq ($(PLARCH),arm)
-    export COFLAGS=-O0
-    CONFFLAGS += --without-jpl
-endif
+# List of architectures where -java package should be built,
+# it should be the same as those in debian/control
+JAVA_ARCHS = alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
 
-# Don't build JPL on hppa
-ifeq ($(PLARCH),hppa)
-    CONFFLAGS += --without-jpl
-endif
-
-# Don't build JPL on GNU/kFreeBSD
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+ifeq ($(filter $(ARCH),$(JAVA_ARCHS)),)
     CONFFLAGS += --without-jpl
 endif
 
@@ -100,12 +92,12 @@
 	cd debian/swi-prolog-tmp && find * -type f > ../swi-prolog-nox.install
 	cd debian/swi-prolog-tmp && find * -type l >> ../swi-prolog-nox.install
 
-	for i in "clib     swi-prolog-nox"   \
+	set -e; for i in "clib     swi-prolog-nox"   \
 		 "jpl      swi-prolog-java"    \
 		 "http     swi-prolog-nox"   \
 		 "semweb   swi-prolog-nox" \
-		 "sgml     swi-prolog-nox"   \
-		 "sgml/RDF swi-prolog-nox"   \
+		 "sgml     swi-prolog-nox" \
+		 "RDF      swi-prolog-nox"   \
 		 "table    swi-prolog-nox"  \
 		 "odbc     swi-prolog-odbc"   \
 		 "xpce     swi-prolog-tmp"    \
@@ -113,13 +105,15 @@
 		               ; do \
 		FROM=$$(echo $$i | cut -d " " -f1); \
 		TO=$$(echo $$i | cut -d " " -f2); \
-		mkdir -p $(CURDIR)/debian/$$TO/usr/lib/swi-prolog/library; \
-		$(MAKE) -C packages/$$FROM \
+		if test -r packages/$$FROM/Makefile; then \
+		    mkdir -p $(CURDIR)/debian/$$TO/usr/lib/swi-prolog/library; \
+		    $(MAKE) -C packages/$$FROM \
 			prefix=$(CURDIR)/debian/$$TO/usr \
 			PLBASE=$(CURDIR)/debian/$$TO/usr/lib/swi-prolog \
 			PLARCH=$(PLARCH) \
 			PL=$(CURDIR)/src/swipl PLEXE=$(CURDIR)/src/swipl \
 			install; \
+		fi; \
 	done
 
 	# Seperate XPCE and basic SWI-Prolog
@@ -130,7 +124,7 @@
 		rm -v debian/swi-prolog-tmp/{}
 
 	# Install standalone shared library
-	cp -r debian/swi-prolog-shared/usr/lib/pl-*/lib/*/libpl.so* \
+	cp -r debian/swi-prolog-shared/usr/lib/swipl-*/lib/*/libswipl.so* \
 		debian/swi-prolog-nox/usr/lib/
 
 	# Remove dbuild .pwd file (see #285894)
@@ -156,9 +150,9 @@
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;
 
-	# Remove RPATH from pl2xpce.so and libpl.so
+	# Remove RPATH from pl2xpce.so and libswipl.so
 	chrpath --delete debian/swi-prolog-x/usr/lib/swi-prolog/xpce-*/lib/*/pl2xpce.so || true
-	chrpath --delete debian/swi-prolog-nox/usr/lib/libpl.so || true
+	chrpath --delete debian/swi-prolog-nox/usr/lib/libswipl.so || true
 
 binary-common:
 	dh_testdir
@@ -183,7 +177,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 binary-indep: build install

=== debian/watch ===
version=3
http://www.swi-prolog.org/download/stable /download/stable/src/pl-(.*)\.tar\.gz
